## freebsd-utils 7.2

=== sbin/geom/Makefile ===
# $FreeBSD$

SUBDIR=	core class

.include <bsd.subdir.mk>

=== sbin/ifconfig/Makefile ===
#	From: @(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

.include <bsd.own.mk>

PROG=	ifconfig

SRCS=	ifconfig.c		# base support

#
# NB: The order here defines the order in which the constructors
#     are called.  This in turn defines the default order in which
#     status is displayed.  Probably should add a priority mechanism
#     to the registration process so we don't depend on this aspect
#     of the toolchain.
#
SRCS+=	af_link.c		# LLC support
SRCS+=	af_inet.c		# IPv4 support
SRCS+=	af_inet6.c		# IPv6 support
SRCS+=	af_atalk.c		# AppleTalk support

SRCS+=	ifclone.c		# clone device support
SRCS+=	ifmac.c			# MAC support
SRCS+=	ifmedia.c		# SIOC[GS]IFMEDIA support
SRCS+=	ifvlan.c		# SIOC[GS]ETVLAN support
SRCS+=	ifieee80211.c		# SIOC[GS]IEEE80211 support
SRCS+=	ifgre.c			# GRE keys etc

SRCS+=	ifcarp.c		# SIOC[GS]VH support
SRCS+=	ifgroup.c		# ...
SRCS+=	ifpfsync.c		# pfsync(4) support

SRCS+=	ifbridge.c		# bridge support
SRCS+=	iflagg.c		# lagg support

.if ${MK_IPX_SUPPORT} != "no" && !defined(RELEASE_CRUNCH)
SRCS+=	af_ipx.c		# IPX support
DPADD=	${LIBIPX}
LDADD=	-lipx
.endif

MAN=	ifconfig.8

CFLAGS+= -Wall -Wmissing-prototypes -Wcast-qual -Wwrite-strings -Wnested-externs
WARNS?=	0

.include <bsd.prog.mk>

=== sbin/ipfw/Makefile ===
# $FreeBSD$

PROG=	ipfw
SRCS=	ipfw2.c dummynet.c ipv6.c main.c nat.c altq.c
WARNS?=	2
MAN=	ipfw.8

.include <bsd.prog.mk>

=== sbin/kldunload/Makefile ===
#
# Copyright (c) 1997 Doug Rabson
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $FreeBSD$
#

PROG=	kldunload
MAN=	kldunload.8
WARNS?=	6

.include <bsd.prog.mk>

=== sbin/mount_nfs/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 3/27/94
#
# $FreeBSD$

PROG=	mount_nfs
SRCS=	mount_nfs.c getmntopts.c mounttab.c
MAN=	mount_nfs.8
MLINKS=	mount_nfs.8 mount_nfs4.8

MOUNT=	${.CURDIR}/../mount
UMNTALL= ${.CURDIR}/../../usr.sbin/rpc.umntall
CFLAGS+= -DNFS -I${MOUNT} -I${UMNTALL}
WARNS?=	3

LINKS=	${BINDIR}/mount_nfs ${BINDIR}/mount_nfs4

.PATH: ${MOUNT} ${UMNTALL}

.include <bsd.prog.mk>

=== sbin/swapon/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

PROG=	swapon
MAN=	swapon.8
LINKS=	${BINDIR}/swapon ${BINDIR}/swapoff
LINKS+=	${BINDIR}/swapon ${BINDIR}/swapctl
MLINKS=	swapon.8 swapoff.8
MLINKS+=swapon.8 swapctl.8

.include <bsd.prog.mk>

=== usr.bin/netstat/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/12/93
# $FreeBSD$

.include <bsd.own.mk>

PROG=	netstat
SRCS=	if.c inet.c main.c mbuf.c mcast.c mroute.c route.c \
	unix.c atalk.c mroute6.c ipsec.c bpf.c pfkey.c sctp.c

WARNS?=	3
CFLAGS+=-fno-strict-aliasing

CFLAGS+=-DIPSEC
CFLAGS+=-DSCTP

.if ${MK_INET6_SUPPORT} != "no"
SRCS+=	inet6.c
CFLAGS+=-DINET6
.endif

BINGRP=	kmem
BINMODE=2555
DPADD=	${LIBKVM} ${LIBMEMSTAT} ${LIBUTIL}
LDADD=	-lkvm -lmemstat -lutil

.if ${MK_NETGRAPH_SUPPORT} != "no"
SRCS+=	netgraph.c
DPADD+=	${LIBNETGRAPH}
LDADD+=	-lnetgraph
CFLAGS+=-DNETGRAPH
.endif

.if ${MK_IPX_SUPPORT} != "no"
SRCS+=	ipx.c
DPADD+=	${LIBIPX}
LDADD+=	-lipx
CFLAGS+=-DIPX
.endif

.include <bsd.prog.mk>

=== usr.sbin/jail/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

PROG=	jail
MAN=	jail.8
DPADD=	${LIBUTIL}
LDADD=	-lutil

WARNS?=	6

.if ${MK_INET6_SUPPORT} != "no"
CFLAGS+= -DINET6
.endif

.include <bsd.prog.mk>

=== usr.sbin/ppp/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

PROG=	ppp
MAN=	ppp.8
SRCS=	acf.c arp.c async.c auth.c bundle.c cbcp.c ccp.c chap.c chat.c \
	command.c datalink.c deflate.c defs.c exec.c filter.c fsm.c hdlc.c \
	iface.c ip.c ipcp.c ipv6cp.c iplist.c lcp.c link.c log.c lqr.c main.c \
	mbuf.c mp.c ncp.c ncpaddr.c pap.c physical.c pred.c probe.c prompt.c \
	proto.c route.c server.c sig.c slcompress.c sync.c systems.c tcp.c \
	tcpmss.c throughput.c timer.c tty.c tun.c udp.c vjcomp.c
WARNS?=	3
.if defined(RELEASE_CRUNCH)
CFLAGS+=-DRELEASE_CRUNCH
PPP_NO_ATM=
PPP_NO_DES=
PPP_NO_I4B=
PPP_NO_KLDLOAD=
PPP_NO_NAT=
PPP_NO_PAM=
PPP_NO_RADIUS=
PPP_NO_SUID=
.endif

.if ${MK_ATM} == "no"
PPP_NO_ATM=
.endif
.if ${MK_I4B} == "no"
PPP_NO_I4B=
.endif
.if ${MK_PAM_SUPPORT} == "no"
PPP_NO_PAM=
.endif

.if defined(PPP_NO_SUID)
BINMODE=550
.else
BINMODE=4550
BINOWN=	root
.endif
BINGRP=	network
M4FLAGS=

LDADD= -lcrypt -lmd -lutil -lz
DPADD=	${LIBCRYPT} ${LIBMD} ${LIBUTIL} ${LIBZ}

.SUFFIXES: .8 .8.m4

.8.m4.8:
	m4 ${M4FLAGS} ${.IMPSRC} >${.TARGET}

CLEANFILES= ppp.8

.if defined(PPP_CONFDIR) && !empty(PPP_CONFDIR)
CFLAGS+=-DPPP_CONFDIR=\"${PPP_CONFDIR}\"
.endif

.if defined(PPP_NO_KLDLOAD)
CFLAGS+=-DNOKLDLOAD
.endif

.if ${MK_INET6_SUPPORT} == "no"
CFLAGS+=-DNOINET6
.endif

.if defined(PPP_NO_NAT)
CFLAGS+=-DNONAT
.else
SRCS+=	nat_cmd.c
LDADD+=	-lalias
DPADD+= ${LIBALIAS}
.endif

.if defined(PPP_NO_ATM)
CFLAGS+=-DNOATM
.else
SRCS+=	atm.c
.endif

.if defined(PPP_NO_SUID)
CFLAGS+=-DNOSUID
.else
SRCS+=	id.c
.endif

.if defined(RELEASE_CRUNCH) || ${MK_OPENSSL} == "no" || \
    defined(PPP_NO_DES)
CFLAGS+=-DNODES
.else
SRCS+=	chap_ms.c mppe.c
LDADD+= -lcrypto
DPADD+= ${LIBCRYPTO}
.endif

.if defined(PPP_NO_RADIUS)
CFLAGS+=-DNORADIUS
.else
SRCS+=	radius.c
LDADD+=	-lradius
DPADD+= ${LIBRADIUS}
.endif

.if defined(PPP_NO_I4B) || ${MACHINE_ARCH} != "i386"
CFLAGS+=-DNOI4B
.else
SRCS+=	i4b.c
.endif

.if defined(PPP_NO_NETGRAPH)
CFLAGS+=-DNONETGRAPH
.else
SRCS+=	ether.c
LDADD+=	-lnetgraph
DPADD+= ${LIBNETGRAPH}
.if defined(EXPERIMENTAL_NETGRAPH)
CFLAGS+=-DEXPERIMENTAL_NETGRAPH
SRCS+=	netgraph.c
.endif
.endif

.if defined(PPP_NO_PAM)
CFLAGS+=-DNOPAM
.else
LDADD+=	${MINUSLPAM}
DPADD+=	${LIBPAM}
.endif

.include <bsd.prog.mk>

=== usr.sbin/pppd/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

# I once used this extensively, but no longer have a modem.  Feel free
# to ask me questions about it, but I disclaim ownership now.  -Peter

PROG=	pppd
MAN=	pppd.8
SRCS=	main.c magic.c fsm.c lcp.c ipcp.c ipxcp.c upap.c chap.c ccp.c \
	demand.c auth.c options.c sys-bsd.c
BINMODE=4550
BINOWN=	root
BINGRP=	dialer

CFLAGS+= -DHAVE_PATHS_H

DPADD=	${LIBCRYPT} ${LIBUTIL} ${LIBMD}
LDADD=	-lcrypt -lutil -lmd

# Support SPX/IPX - not quite ready
#CFLAGS+= -DIPX_CHANGE
#SRCS+=	ipxcp.c

# Callback Control Protocol
CFLAGS+= -DCBCP_SUPPORT
SRCS+=	cbcp.c

# Filter support
CFLAGS+= -DPPP_FILTER
DPADD+=	${LIBPCAP}
LDADD+=	-lpcap

# MS-CHAP support.  Requires the DES library.
.if ${MK_OPENSSL} != "no" && !defined(RELEASE_CRUNCH)
CFLAGS+= -DCHAPMS
SRCS+=	chap_ms.c
LDADD+=	-lcrypto
DPADD+=	${LIBCRYPTO}
.endif

.if ${MK_INET6_SUPPORT} != "no"
CFLAGS+=-DINET6
SRCS+=	eui64.c ipv6cp.c
.endif

.if defined(RELEASE_CRUNCH)
# We must create these objects because crunchgen will link them,
# and we don't want any unused symbols to spoil the final link.
SRCS+= chap_ms.c
chap_ms.o:
	>null_${.PREFIX}.c
	cc -c -o ${.TARGET} null_${.PREFIX}.c
.endif

.include <bsd.prog.mk>

=== share/syscons/keymaps/Makefile ===
# $FreeBSD$

FILES=	INDEX.keymaps \
	be.iso.kbd be.iso.acc.kbd \
	bg.bds.ctrlcaps.kbd bg.phonetic.ctrlcaps.kbd \
	br275.iso.kbd br275.iso.acc.kbd br275.cp850.kbd \
	by.cp1131.kbd by.cp1251.kbd by.iso5.kbd \
	ce.iso2.kbd \
	colemak.iso15.acc.kbd \
	cs.latin2.qwertz.kbd \
	cz.iso2.kbd \
	danish.iso.kbd danish.cp865.kbd dutch.iso.acc.kbd \
	el.iso07.kbd \
	estonian.iso.kbd estonian.iso15.kbd estonian.cp850.kbd \
	finnish.iso.kbd finnish.cp850.kbd \
	fr.iso.kbd fr.iso.acc.kbd fr.dvorak.kbd fr.dvorak.acc.kbd \
	fr.macbook.acc.kbd \
	fr_CA.iso.acc.kbd \
	german.iso.kbd german.iso.acc.kbd german.cp850.kbd \
	gr.elot.acc.kbd gr.us101.acc.kbd \
	hr.iso.kbd \
	hu.iso2.101keys.kbd hu.iso2.102keys.kbd \
	hy.armscii-8.kbd \
	icelandic.iso.kbd icelandic.iso.acc.kbd \
	it.iso.kbd \
	iw.iso8.kbd \
	jp.106.kbd jp.106x.kbd jp.pc98.kbd jp.pc98.iso.kbd \
	kk.pt154.kst.kbd kk.pt154.io.kbd \
	latinamerican.kbd latinamerican.iso.acc.kbd \
	lt.iso4.kbd \
	norwegian.iso.kbd norwegian.dvorak.kbd \
	pl_PL.ISO8859-2.kbd  \
	pt.iso.kbd pt.iso.acc.kbd \
	ru.koi8-r.kbd ru.koi8-r.shift.kbd ru.koi8-r.win.kbd \
	ru.cp866.kbd ru.iso5.kbd \
	si.iso.kbd \
	sk.iso2.kbd \
	spanish.iso.kbd spanish.iso.acc.kbd spanish.iso15.acc.kbd \
	swedish.iso.kbd swedish.cp850.kbd \
	swissfrench.iso.kbd swissfrench.iso.acc.kbd swissfrench.cp850.kbd \
	swissgerman.iso.kbd swissgerman.iso.acc.kbd swissgerman.cp850.kbd \
	tr.iso9.q.kbd \
	ua.koi8-u.kbd ua.koi8-u.shift.alt.kbd ua.iso5.kbd \
	uk.iso.kbd uk.iso-ctrl.kbd uk.cp850.kbd uk.cp850-ctrl.kbd \
	us.iso.kbd us.dvorak.kbd us.dvorakx.kbd us.emacs.kbd us.pc-ctrl.kbd \
	us.unix.kbd us.iso.acc.kbd

FILESDIR= ${SHAREDIR}/syscons/keymaps

NO_OBJ=

.include <bsd.prog.mk>

=== sbin/geom/class/label/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../misc

CLASS=	label

.include <bsd.lib.mk>

## freebsd-utils 8.0

=== sbin/gbde/Makefile ===
# $FreeBSD$

PROG=	gbde
SRCS=	gbde.c template.c
SRCS+=	rijndael-alg-fst.c
SRCS+=	rijndael-api-fst.c
SRCS+=	sha2.c
SRCS+=	g_bde_lock.c

# rijndael-fst.c does evil casting things which results in warnings on
# 64 bit machines, the test-vectors check out however, so it works right.
.if ${MACHINE_ARCH} == "i386"
WARNS?=	5
.else
WARNS?=	3
.endif

CFLAGS+= -I${.CURDIR}/../../sys
.PATH:	${.CURDIR}/../../sys/geom/bde \
	${.CURDIR}/../../sys/crypto/rijndael \
	${.CURDIR}/../../sys/crypto/sha2

CLEANFILES+= template.c

MAN=	gbde.8
DPADD=	${LIBMD} ${LIBUTIL} ${LIBGEOM}
LDADD=	-lmd -lutil -lgeom

template.c: template.txt
	file2c 'const char template[] = {' ',0};' \
		< ${.CURDIR}/template.txt > template.c

test: ${PROG}
	sh ${.CURDIR}/test.sh ${.CURDIR}

.include <bsd.prog.mk>

=== sbin/ifconfig/Makefile ===
--- 
+++ 
@@ -23,8 +23,12 @@
 SRCS+=	ifmac.c			# MAC support
 SRCS+=	ifmedia.c		# SIOC[GS]IFMEDIA support
 SRCS+=	ifvlan.c		# SIOC[GS]ETVLAN support
-SRCS+=	ifieee80211.c		# SIOC[GS]IEEE80211 support
 SRCS+=	ifgre.c			# GRE keys etc
+SRCS+=	ifgif.c			# GIF reversed header workaround
+
+SRCS+=	ifieee80211.c regdomain.c # SIOC[GS]IEEE80211 support
+DPADD+=	${LIBBSDXML} ${LIBSBUF} ${LIBJAIL}
+LDADD+=	-lbsdxml -ljail -lsbuf
 
 SRCS+=	ifcarp.c		# SIOC[GS]VH support
 SRCS+=	ifgroup.c		# ...
@@ -35,8 +39,8 @@
 
 .if ${MK_IPX_SUPPORT} != "no" && !defined(RELEASE_CRUNCH)
 SRCS+=	af_ipx.c		# IPX support
-DPADD=	${LIBIPX}
-LDADD=	-lipx
+DPADD+=	${LIBIPX}
+LDADD+=	-lipx
 .endif
 
 MAN=	ifconfig.8

=== sbin/ipfw/Makefile ===
# $FreeBSD$

PROG=	ipfw
SRCS=	ipfw2.c dummynet.c ipv6.c main.c nat.c altq.c
WARNS?=	2
LDADD=	-lutil
MAN=	ipfw.8

.include <bsd.prog.mk>

=== sbin/kldstat/Makefile ===
#
# Copyright (c) 1997 Doug Rabson
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $FreeBSD$
#

PROG=	kldstat
MAN=	kldstat.8
WARNS?=	5

.include <bsd.prog.mk>

=== sbin/mount_cd9660/Makefile ===
#	@(#)Makefile	8.3 (Berkeley) 3/27/94
# $FreeBSD$

PROG=	mount_cd9660
SRCS=	mount_cd9660.c getmntopts.c
MAN=	mount_cd9660.8
DPADD=	${LIBKICONV}
LDADD=	-lkiconv

MOUNT=	${.CURDIR}/../mount
CFLAGS+= -I${MOUNT}
WARNS?=	6

# Needs to be dynamically linked for optional dlopen() access to
# userland libiconv
NO_SHARED?=	NO

.PATH:	${MOUNT}

.include <bsd.prog.mk>

=== sbin/mount_msdosfs/Makefile ===
#
# $FreeBSD$
#

PROG=	mount_msdosfs
SRCS=	mount_msdosfs.c getmntopts.c
MAN=	mount_msdosfs.8
DPADD=	${LIBKICONV}
LDADD=	-lkiconv

MOUNT=	${.CURDIR}/../mount
CFLAGS+= -I${MOUNT}
WARNS?=	6

# Needs to be dynamically linked for optional dlopen() access to
# userland libiconv
NO_SHARED?=	NO

.PATH:	${MOUNT}

.include <bsd.prog.mk>

=== sbin/pfctl/Makefile ===
# $FreeBSD$

.PATH:	${.CURDIR}/../../contrib/pf/pfctl
.PATH:	${.CURDIR}/../../sys/contrib/pf/net
.PATH:	${.CURDIR}/../../contrib/pf/man

PROG=	pfctl
MAN=	pfctl.8 pf.4 pflog.4 pfsync.4 pf.conf.5 pf.os.5

SRCS = pfctl.c parse.y pfctl_parser.c pf_print_state.c pfctl_altq.c
SRCS+= pfctl_osfp.c pfctl_radix.c pfctl_table.c pfctl_qstats.c
SRCS+= pfctl_optimize.c
SRCS+= pf_ruleset.c

CFLAGS+= -Wall -Wmissing-prototypes -Wno-uninitialized
CFLAGS+= -Wstrict-prototypes -I${.CURDIR}/../../contrib/pf/pfctl

# XXX ALTQ
CFLAGS+= -DENABLE_ALTQ
#CFLAGS+= -I${.CURDIR}/missing

YFLAGS=

LDADD+=	-lm -lmd
DPADD+=	${LIBM} ${LIBMD}

.include <bsd.prog.mk>

=== sbin/umount/Makefile ===
#	@(#)Makefile	8.4 (Berkeley) 6/22/95
#
# $FreeBSD$

PROG=	umount
SRCS=	umount.c vfslist.c mounttab.c
WARNS?=	0
MAN=	umount.8

MOUNT=	${.CURDIR}/../mount
UMNTALL= ${.CURDIR}/../../usr.sbin/rpc.umntall
CFLAGS+= -I${MOUNT} -I${UMNTALL}

.PATH: ${MOUNT} ${UMNTALL}

.include <bsd.prog.mk>

=== usr.sbin/authpf/Makefile ===
# $FreeBSD$

.PATH:	${.CURDIR}/../../contrib/pf/authpf
.PATH:	${.CURDIR}/../../contrib/pf/pfctl

PROG=	authpf
MAN=	authpf.8
BINOWN=	root
BINGRP= authpf
BINMODE= 6555

SRCS=   authpf.c

CFLAGS+= -I${.CURDIR}/../../contrib/pf/pfctl

# XXX ALTQ:
CFLAGS+= -DENABLE_ALTQ

LDADD+= -lm -lmd -lutil
DPADD+= ${LIBM} ${LIBMD} ${LIBUTIL}

.include <bsd.prog.mk>

=== usr.sbin/ppp/Makefile ===
--- 
+++ 
@@ -15,7 +15,6 @@
 CFLAGS+=-DRELEASE_CRUNCH
 PPP_NO_ATM=
 PPP_NO_DES=
-PPP_NO_I4B=
 PPP_NO_KLDLOAD=
 PPP_NO_NAT=
 PPP_NO_PAM=
@@ -25,9 +24,6 @@
 
 .if ${MK_ATM} == "no"
 PPP_NO_ATM=
-.endif
-.if ${MK_I4B} == "no"
-PPP_NO_I4B=
 .endif
 .if ${MK_PAM_SUPPORT} == "no"
 PPP_NO_PAM=
@@ -101,12 +97,6 @@
 DPADD+= ${LIBRADIUS}
 .endif
 
-.if defined(PPP_NO_I4B) || ${MACHINE_ARCH} != "i386"
-CFLAGS+=-DNOI4B
-.else
-SRCS+=	i4b.c
-.endif
-
 .if defined(PPP_NO_NETGRAPH)
 CFLAGS+=-DNONETGRAPH
 .else

=== sbin/geom/class/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

SUBDIR=	cache
SUBDIR+=concat
.if ${MK_OPENSSL} != "no"
SUBDIR+=eli
.endif
SUBDIR+=journal
SUBDIR+=label
SUBDIR+=mirror
SUBDIR+=multipath
SUBDIR+=nop
SUBDIR+=part
SUBDIR+=raid3
SUBDIR+=shsec
SUBDIR+=stripe
SUBDIR+=virstor

.include <bsd.subdir.mk>

=== share/syscons/keymaps/Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	colemak.iso15.acc.kbd \
 	cs.latin2.qwertz.kbd \
 	cz.iso2.kbd \
-	danish.iso.kbd danish.cp865.kbd dutch.iso.acc.kbd \
+	danish.iso.kbd danish.iso.acc.kbd danish.cp865.kbd \
+	dutch.iso.acc.kbd \
 	el.iso07.kbd \
 	estonian.iso.kbd estonian.iso15.kbd estonian.cp850.kbd \
 	finnish.iso.kbd finnish.cp850.kbd \
@@ -29,7 +30,7 @@
 	latinamerican.kbd latinamerican.iso.acc.kbd \
 	lt.iso4.kbd \
 	norwegian.iso.kbd norwegian.dvorak.kbd \
-	pl_PL.ISO8859-2.kbd  \
+	pl_PL.ISO8859-2.kbd pl_PL.dvorak.kbd \
 	pt.iso.kbd pt.iso.acc.kbd \
 	ru.koi8-r.kbd ru.koi8-r.shift.kbd ru.koi8-r.win.kbd \
 	ru.cp866.kbd ru.iso5.kbd \
@@ -42,6 +43,7 @@
 	tr.iso9.q.kbd \
 	ua.koi8-u.kbd ua.koi8-u.shift.alt.kbd ua.iso5.kbd \
 	uk.iso.kbd uk.iso-ctrl.kbd uk.cp850.kbd uk.cp850-ctrl.kbd \
+	uk.dvorak.kbd \
 	us.iso.kbd us.dvorak.kbd us.dvorakx.kbd us.emacs.kbd us.pc-ctrl.kbd \
 	us.unix.kbd us.iso.acc.kbd

## freebsd-utils 8.1

=== sbin/atacontrol/Makefile ===
#$FreeBSD$

PROG=	atacontrol
MAN=	atacontrol.8
WARNS?=	6

.include <bsd.prog.mk>

=== sbin/camcontrol/Makefile ===
# $FreeBSD$

PROG=	camcontrol
SRCS=	camcontrol.c util.c
.if !defined(RELEASE_CRUNCH)
SRCS+=	modeedit.c
.else
CFLAGS+= -DMINIMALISTIC
.endif
.if ${MACHINE_ARCH} == "arm"
WARNS?= 3
.else
WARNS?=	6
.endif
DPADD=	${LIBCAM} ${LIBSBUF} ${LIBUTIL}
LDADD=	-lcam -lsbuf -lutil
MAN=	camcontrol.8

.include <bsd.prog.mk>

=== sbin/ccdconfig/Makefile ===
# $FreeBSD$

PROG=	ccdconfig
WARNS?=	6
MAN=	ccdconfig.8

DPADD=	${LIBGEOM}
LDADD=	-lgeom

.include <bsd.prog.mk>

=== sbin/devd/Makefile ===
# $FreeBSD$

PROG_CXX=devd
SRCS=	devd.cc token.l parse.y y.tab.h
MAN=	devd.8 devd.conf.5

WARNS=	0
#WARNS?=	4

NO_SHARED?=YES

DPADD=	${LIBL} ${LIBUTIL}
LDADD=	-ll -lutil

YFLAGS+=-v
CFLAGS+=-I. -I${.CURDIR}

CLEANFILES= y.output

.include <bsd.prog.mk>

=== sbin/devfs/Makefile ===
# $FreeBSD$

PROG=	devfs
SRCS=	devfs.c rule.c
MAN=	devfs.8
WARNS?=	5

.include <bsd.prog.mk>

=== sbin/kldconfig/Makefile ===
#
# Copyright (c) 2001 Peter Pentchev
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $FreeBSD$
#

PROG=		kldconfig
MAN=		kldconfig.8
WARNS?=		5

.include <bsd.prog.mk>

=== sbin/mount_autofs/Makefile ===
# $Id: Makefile,v 1.6 2004/09/08 08:27:12 bright Exp $
# $FreeBSD$

PROG=mount_autofs
MAN=mount_autofs.8
BINDIR?=/sbin

.include <bsd.prog.mk>

=== sbin/mount_nfs/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 3/27/94
#
# $FreeBSD$

PROG=	mount_nfs
SRCS=	mount_nfs.c getmntopts.c mounttab.c
MAN=	mount_nfs.8
MLINKS=	mount_nfs.8 mount_newnfs.8

MOUNT=	${.CURDIR}/../mount
UMNTALL= ${.CURDIR}/../../usr.sbin/rpc.umntall
CFLAGS+= -DNFS -I${MOUNT} -I${UMNTALL}
WARNS?=	3

LINKS=	${BINDIR}/mount_nfs ${BINDIR}/mount_newnfs

.PATH: ${MOUNT} ${UMNTALL}

.include <bsd.prog.mk>

=== sbin/mount_ntfs/Makefile ===
#
# $FreeBSD$
#

PROG=	mount_ntfs
SRCS=	mount_ntfs.c getmntopts.c
MAN=	mount_ntfs.8
DPADD=	${LIBKICONV}
LDADD=	-lkiconv

MOUNT=	${.CURDIR}/../mount
CFLAGS+=-I${MOUNT}
WARNS?=	0

# Needs to be dynamically linked for optional dlopen() access to
# userland libiconv
NO_SHARED?=	NO

.PATH:	${MOUNT}

.include <bsd.prog.mk>

=== sbin/mount_nullfs/Makefile ===
#	@(#)Makefile	8.3 (Berkeley) 3/27/94
# $FreeBSD$

PROG=	mount_nullfs
SRCS=	mount_nullfs.c getmntopts.c
MAN=	mount_nullfs.8

MOUNT=	${.CURDIR}/../mount
CFLAGS+=-I${MOUNT}
WARNS?=	6

.PATH:	${MOUNT}

.include <bsd.prog.mk>

=== sbin/route/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

.include <bsd.own.mk>

PROG=	route
MAN=	route.8
SRCS=	route.c keywords.h
WARNS?=	0
CLEANFILES+=keywords.h _keywords.tmp

CFLAGS+= -DNS

.if ${MK_INET6_SUPPORT} != "no"
CFLAGS+= -DINET6
.endif

CFLAGS+= -I.

keywords.h: keywords
	sed -e '/^#/d' -e '/^$$/d' ${.CURDIR}/keywords > _keywords.tmp
	LC_ALL=C tr 'a-z' 'A-Z' < _keywords.tmp | paste _keywords.tmp - | \
	    awk '{ \
		if (NF > 1) \
			printf "#define\tK_%s\t%d\n\t{\"%s\", K_%s},\n", \
			    $$2, NR, $$1, $$2 }' \
	    > ${.TARGET}
	rm -f _keywords.tmp

.include <bsd.prog.mk>

=== usr.bin/kdump/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

.PATH: ${.CURDIR}/../ktrace

PROG=		kdump
SRCS=		kdump.c ioctl.c kdump_subr.c subr.c
CFLAGS+=	-I${.CURDIR}/../ktrace -I${.CURDIR} -I${.CURDIR}/../..

CLEANFILES=	ioctl.c kdump_subr.c

ioctl.c: mkioctls
	sh ${.CURDIR}/mkioctls ${DESTDIR}/usr/include > ${.TARGET}

kdump_subr.c: mksubr
	sh ${.CURDIR}/mksubr ${DESTDIR}/usr/include > ${.TARGET}

.include <bsd.prog.mk>

## freebsd-utils 8.2+ds2

=== etc/devd/Makefile ===
# $FreeBSD$

FILES=	asus.conf uath.conf

NO_OBJ=
FILESDIR=	/etc/devd
FILESMODE=	644

.include <bsd.prog.mk>

=== sbin/dmesg/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

PROG=	dmesg
MAN=	dmesg.8

WARNS?=	6

LDADD=	-lkvm
DPADD=	${LIBKVM}

.include <bsd.prog.mk>

=== sbin/geom/Makefile ===
# $FreeBSD$

.if defined(RESCUE) || defined(RELEASE_CRUNCH)

.PATH:	${.CURDIR}/class/part \
	${.CURDIR}/class/label \
	${.CURDIR}/core \
	${.CURDIR}/misc

PROG=	geom
SRCS=	geom.c geom_label.c geom_part.c subr.c
NO_MAN=

CFLAGS+=-I${.CURDIR} -I${.CURDIR}/core -DSTATIC_GEOM_CLASSES

DPADD=	${LIBGEOM} ${LIBSBUF} ${LIBBSDXML} ${LIBUTIL}
LDADD=	-lgeom -lsbuf -lbsdxml -lutil

.include <bsd.prog.mk>

.else

SUBDIR=	core class

.include <bsd.subdir.mk>

.endif

=== sbin/ifconfig/Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 SRCS+=	af_inet.c		# IPv4 support
 SRCS+=	af_inet6.c		# IPv6 support
 SRCS+=	af_atalk.c		# AppleTalk support
+SRCS+=	af_nd6.c		# ND6 support
 
 SRCS+=	ifclone.c		# clone device support
 SRCS+=	ifmac.c			# MAC support

=== sbin/mount_reiserfs/Makefile ===
# $FreeBSD$

PROG = mount_reiserfs
SRCS = mount_reiserfs.c getmntopts.c
MAN  = mount_reiserfs.8

# mount_reiserfs needs mntopts.h and getmntopts.c from src/sbin/mount/
MOUNT  ?= ${.CURDIR}/../mount
CFLAGS += -I${MOUNT}
WARNS ?= 6

.PATH: ${MOUNT}

.include <bsd.prog.mk>

=== sbin/mount_std/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 3/27/94
#	$FreeBSD$

PROG=	mount_std
SRCS=	mount_std.c getmntopts.c
MAN=	mount_std.8
MLINKS=	mount_std.8 mount_devfs.8 \
	mount_std.8 mount_fdescfs.8 \
	mount_std.8 mount_linprocfs.8 \
	mount_std.8 mount_procfs.8

MOUNT=	${.CURDIR}/../mount
CFLAGS+= -I${MOUNT}
WARNS?=	0

.PATH:	${MOUNT}

LINKS=	${BINDIR}/mount_std ${BINDIR}/mount_devfs \
	${BINDIR}/mount_std ${BINDIR}/mount_fdescfs \
	${BINDIR}/mount_std ${BINDIR}/mount_linprocfs \
	${BINDIR}/mount_std ${BINDIR}/mount_procfs

.include <bsd.prog.mk>

=== sbin/mount_unionfs/Makefile ===
#	@(#)Makefile	8.3 (Berkeley) 3/27/94
# $FreeBSD$

PROG=	mount_unionfs
SRCS=	mount_unionfs.c getmntopts.c
MAN=	mount_unionfs.8

MOUNT=	${.CURDIR}/../mount
CFLAGS+=-I${MOUNT}
WARNS?=	6

.PATH:	${MOUNT}

.include <bsd.prog.mk>

=== usr.bin/mkuzip/Makefile ===
# $FreeBSD$

PROG=	mkuzip
MAN=	mkuzip.8

DPADD=	${LIBZ}
LDADD=	-lz

WARNS?=	6

.include <bsd.prog.mk>

=== usr.bin/netstat/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 .include <bsd.own.mk>
 
 PROG=	netstat
-SRCS=	if.c inet.c main.c mbuf.c mcast.c mroute.c route.c \
+SRCS=	if.c inet.c main.c mbuf.c mroute.c route.c \
 	unix.c atalk.c mroute6.c ipsec.c bpf.c pfkey.c sctp.c
 
 WARNS?=	3

=== usr.sbin/nfsd/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

PROG=	nfsd
MAN=	nfsd.8 nfsv4.4 stablerestart.5

WARNS?=	6

.include <bsd.prog.mk>

=== usr.sbin/ppp/Makefile ===
--- 
+++ 
@@ -24,6 +24,9 @@
 
 .if ${MK_ATM} == "no"
 PPP_NO_ATM=
+.endif
+.if ${MK_NETGRAPH} == "no"
+PPP_NO_NETGRAPH=
 .endif
 .if ${MK_PAM_SUPPORT} == "no"
 PPP_NO_PAM=

=== usr.sbin/rpc.lockd/Makefile ===
#	$NetBSD: Makefile,v 1.12 2000/08/07 16:23:31 thorpej Exp $
# $FreeBSD$

PROG=	rpc.lockd
MAN=	rpc.lockd.8
MLINKS=	rpc.lockd.8 lockd.8
SRCS=	kern.c nlm_prot_svc.c lockd.c lock_proc.c lockd_lock.c

CFLAGS+= -I. -I${DESTDIR}/usr/include/rpcsvc
#WARNS?= 2

DPADD=	${LIBRPCSVC} ${LIBUTIL}
LDADD=	-lrpcsvc -lutil

CLEANFILES= nlm_prot_svc.c nlm_prot.h test

RPCSRC= ${DESTDIR}/usr/include/rpcsvc/nlm_prot.x
RPCGEN= rpcgen -L -C

nlm_prot_svc.c: ${RPCSRC}
	${RPCGEN} -m -o ${.TARGET} ${RPCSRC}

nlm_prot.h: ${RPCSRC}
	${RPCGEN} -h -o ${.TARGET} ${RPCSRC}

test: ${.CURDIR}/test.c
	cc -o test ${.CURDIR}/test.c -lrpcsvc

.include <bsd.prog.mk>

=== debian/changelog ===
freebsd-utils (8.2+ds2-5) unstable; urgency=low

  * Register rpc.statd before rpc.lockd to prevent freebsd-nfs-common
    postinst failure.
  * Rename /var/db/statd.status to FHS-compliant /var/lib/misc/statd.status.
  * Fix multiarch-caused FTBFS (introduced with eglibc 2.13-11).

 -- Robert Millan <rmh@debian.org>  Fri, 29 Jul 2011 00:51:35 +0200

freebsd-utils (8.2+ds2-4) experimental; urgency=low

  * Add freebsd-geom package, with GEOM and a few modules (including
    geli).  (Closes: #492889)

 -- Robert Millan <rmh@debian.org>  Mon, 25 Jul 2011 17:28:06 +0200

freebsd-utils (8.2+ds2-3) unstable; urgency=low

  * Replace usb.conf with version from 8-STABLE.
  * Port and install jail(8).

 -- Robert Millan <rmh@debian.org>  Thu, 21 Jul 2011 20:04:43 +0200

freebsd-utils (8.2+ds2-2) experimental; urgency=low

  * Enable NFS utilities.  (Closes: #629543)

 -- Robert Millan <rmh@debian.org>  Mon, 11 Jul 2011 11:56:32 +0200

freebsd-utils (8.2+ds2-1) unstable; urgency=low

  * Add __FreeBSD_version to CFLAGS.  This enables code in a few places
    that was previously disabled (or old version used instead).
  * 022_devd.diff: Remove leftover FreeBSD-specific ACPI devd rules.
  * Move usb.conf and pci.conf devd files into debian/local/ (upstream
    is taking a different route and will replace these files when
    they're able to autogenerate them).
  * Fix a few syntax errors in usb.conf.

 -- Robert Millan <rmh@debian.org>  Sun, 10 Jul 2011 01:48:52 +0200

freebsd-utils (8.2+ds1-2) unstable; urgency=low

  * Fix broken usb.conf.  It needs to be generated using usbdevs from
    HEAD, or otherwise empty variables act as catch-all rules.  Getting
    rid of autogeneration since upstream doesn't seem interested in using
    devd variables anyway (see PR 157903).
  * Add network attach/detach devd event handlers to support allow-
    hotplug stanzas in /etc/network/interfaces.

 -- Robert Millan <rmh@debian.org>  Wed, 29 Jun 2011 16:12:48 +0200

freebsd-utils (8.2+ds1-1) unstable; urgency=low

  [ Petr Salinger ]
  * Require newer eglibc, drop <net/if.h> workaround

  [ Robert Millan ]
  * Enable ieee80211 (wireless) in ifconfig. Closes: #601803
  * Switch to use the libbsd-overlay.
    - Bump libbsd-dev Build-Depends to (>= 0.3.0).
    - Add pkg-config to Build-Depends.
    - Remove some now obsolete porting code.
  * Removed kludges from 013_pf.diff.  strtonum.c is obsoleted
    by libbsd, pf_ruleset.c is imported from upstream source.
  * Provide config files and init.d script for devd.  (Closes: #630614)
  * Add Dutch Debconf translation from Jeroen Schot.  (Closes: #631122)
  * Require either libsbuf-dev or kfreebsd-kernel-headers that provides
    a valid <sys/sbuf.h>.
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Wed, 29 Jun 2011 12:28:09 +0200

freebsd-utils (8.2-2) unstable; urgency=low

  * Add missing zlib1g-dev to Build-Depends, needed by savecore.
  * Remove mentions of -F option from mount and umount man pages.
    Closes: #600940
  * Add Spanish Dvorak keyboard layout to kbdcontrol.
    Thanks to Javier <jamego1293@andaluciajunta.es>. Closes: #550398

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jun 2011 20:56:10 +0200

freebsd-utils (8.2-1) unstable; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 8.2.

  [ Mats Erik Andersson ]
  * Add IPv6 support into route wrapper. Closes: #605723.
  * Update mount wrapper for remount requests. Closes: #609574.

  [ Robert Millan ]
  * Require kfreebsd-kernel-headers >= 0.54.
  * Add mkuzip.
  * Set freebsd-net-tools-udeb to kfreebsd-any.
  * Remove dependency on ufsutils. (Closes: #595040)

  [ Tuco Xyz ]
  * Add dumpon and savecore.

  [ Guillem Jover ]
  * Translate mount -f (--fake) to -d in the wrapper.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Move local headers to debian/local/include/.
  * Move local scripts and devfs.d directories to debian/local/.
  * Switch to source format “3.0 (quilt)”.
    - Remove quilt from Build-Depends.
    - Remove patch target in debian/rules.
    - Remove now unneeded README.source.
    - Refresh all patches.
  * Link camcontrol, mdconfig and dmesg directly to libbsd. Closes: #627129
  * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
  * Line-wrap PMAKE variable in debian/rules.
  * Intersperse Build-Depends description comments between the actual
    dependencies.
  * Remove skeleton comment from init scripts.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jun 2011 08:00:15 +0200

freebsd-utils (8.1-4) unstable; urgency=low

  [ Petr Salinger ]
  * enhance kbdcontrol.init, related to Debian Policy,
    9.8 Keyboard configuration. See: #605777.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Jan 2011 23:44:13 +0100

freebsd-utils (8.1-3.1) unstable; urgency=high

  * Non-maintainer upload (requested by Petr).
  * Revert 032_delete_key.diff
    The proper solution needs more changes, unsuitable during deep freeze.
    See #605065, #605777, #607662.

 -- Robert Millan <rmh@debian.org>  Wed, 05 Jan 2011 10:05:19 +0100

freebsd-utils (8.1-3) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add Catalan Debconf translation from Jordi Mallach (closes:
    bug#600624).
  * Add 032_delete_key.diff to conform to Debian Policy,
    9.8 Keyboard configuration. Closes: #605777.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Dec 2010 23:39:21 +0100

freebsd-utils (8.1-2) unstable; urgency=low

  [ Aurelien Jarno ]
  * freebsd-utils-udeb: add mdconfig.
  * Update Italian Debconf translation from Luca Monducci (closes:
    bug#593717).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Aug 2010 17:10:02 +0200

freebsd-utils (8.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 8.1.

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.9.1 (no changes).
  * Add arp to freebsd-net-tools

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Jul 2010 22:23:01 +0200

freebsd-utils (8.0-12) unstable; urgency=low



=== debian/control ===
Source: freebsd-utils
Section: utils
Priority: important
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 7), po-debconf, freebsd-buildutils, sharutils,
 flex | flex-old,
 kfreebsd-kernel-headers (>= 0.56),
 libc0.1-dev (>= 2.13-11),
 libbsd-dev (>= 0.3.0), pkg-config,
# zlib1g-dev: savecore
 zlib1g-dev,
# libkvm-dev: dmesg
 libkvm-dev (>= 8.2),
 libmemstat-dev,
 libnetgraph-dev,
# libipx-dev: ifconfig
 libipx-dev,
# libkiconv-dev: mount_*
 libkiconv-dev,
# libdevstat-dev: mdconfig
 libdevstat-dev,
# libgeom-dev : ccdconfig, geom
 libgeom-dev,
# libsbuf-dev: ifconfig, mdconfig, geom
 libsbuf-dev (>= 8.2-2),
# libcam-dev: camcontrol
 libcam-dev (>= 8.2),
# libedit-dev: pppctl
 libedit-dev,
# libexpat1-dev: ifconfig, geom
 libexpat1-dev,
# libtirpc-dev: mount_nfs, mountd, nfsd, rpc.lockd, rpc.statd
 libtirpc-dev,
# libjail-dev: jail
 libjail-dev,
# libssl-dev: geom
 libssl-dev,
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-utils/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-utils/
Standards-Version: 3.9.2

Package: freebsd-utils
Priority: required
Essential: yes
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Suggests: kbdcontrol, vidcontrol, freebsd-hackedutils (>= 6.1-3)
Conflicts: inetutils-tools (<= 2:1.4.3+20051212-4)
Replaces: freebsd-hackedutils (<= 6.1-3)
Description: FreeBSD utilities needed for GNU/kFreeBSD
 This package provides FreeBSD utilities needed for GNU/kFreeBSD.

Package: freebsd-utils-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD utilities needed for GNU/kFreeBSD
 This package provides FreeBSD utilities needed for GNU/kFreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: kldutils
Priority: important
Architecture: kfreebsd-any
Depends: freebsd-utils, ${shlibs:Depends}, ${misc:Depends}
Conflicts: module-init-tools
Replaces: module-init-tools, freebsd-utils (<= 5.2.1-16),
 freebsd-hackedutils (<= 6.1-1), kfreebsd-common (<< 6.1-6)
Provides: module-init-tools
Description: tools for managing kFreeBSD modules
 This package provides a set of programs for loading, inserting, and
 removing kernel modules for kFreeBSD.

Package: kldutils-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools for managing kFreeBSD modules
 This package provides a set of programs for loading, inserting, and
 removing kernel modules for kFreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: kbdcontrol
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf
Description: command-line tool to change keyboard layout on GNU/kFreeBSD
 This package provides the original FreeBSD command to set keyboard layout,
 plus the possible FreeBSD keymaps.

Package: vidcontrol
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line tool to control the system console on GNU/kFreeBSD
 This package provides the original FreeBSD command to control and configure
 the system console, plus the possible fonts and screen maps.

Package: freebsd-net-tools
Section: net
Priority: important
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: freebsd-utils (<< 5.4), freebsd-hackedutils (<< 7), net-tools
Provides: net-tools
Description: FreeBSD networking tools
 This package provides the FreeBSD tools needed to manage networking on
 GNU/kFreeBSD.

Package: freebsd-net-tools-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: important
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD networking tools
 This package provides the FreeBSD tools needed to manage networking on
 GNU/kFreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: freebsd-nfs-server
Section: net
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, freebsd-nfs-common
Provides: nfs-server, nfs-kernel-server
Description: FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 This package provides FreeBSD utilities needed for NFS server on
 Debian GNU/kFreeBSD.

Package: freebsd-nfs-common
Section: net
Priority: standard
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, rpcbind
Provides: nfs-common
Description: NFS support files common to client and server
 Use this package on any machine that uses NFS, either as client or
 server.

Package: freebsd-geom
Section: admin
Priority: standard
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modular disk I/O request transformation framework
 The GEOM framework provides an infrastructure in which ``classes'' can
 perform transformations on disk I/O requests on their path from the upper
 kernel to the device drivers and back.
 .
 This package provides FreeBSD GEOM and associated utilities.

# FIXME:
# - add ppp (ppp, pppd)
# - add pf (pfctl + authpf + /etc stuff + init.d script)
# - add ipfw (???)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D__va_list=__builtin_va_list \
	$(shell pkg-config --cflags libbsd-overlay) -isystem /usr/include/tirpc \
	-D__FreeBSD_version=802000
CXXFLAGS = $(CFLAGS)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif

SOURCE = freebsd-utils
VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-[^-]*$$/\1/p')
SVN_REL = $(shell echo $(VERSION) | sed -ne 's/+[^+]*$$//p')
SVN = http://svn.freebsd.org/base/release/$(SVN_REL).0
#SVN = http://svn.freebsd.org/base/releng/$(SVN_REL)
ORIGDIR = $(SOURCE)-$(VERSION)
TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz

PATH := /usr/lib/freebsd:$(PATH)
DESTDIR = $(CURDIR)/debian/tmp
PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS) \
        -I$(CURDIR)/debian/local/include -I$(CURDIR)/include -lbsd" \
        NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO \
        DESTDIR=$(DESTDIR) make

RPCHDRS=include/rpcsvc/nfs_prot.h include/rpcsvc/nlm_prot.h \
	include/rpcsvc/mount.h include/rpcsvc/sm_inter.h \
	sys/kgssapi/gssd.h

.SUFFIXES: .x .h

.x.h:
	rpcgen -h -DWANT_NFS3 $< -o $@

build: build-arch build-indep

get-orig-source:
	rm -rf $(ORIGDIR)
	mkdir -p $(ORIGDIR)/sys/kern $(ORIGDIR)/sys/dev/usb $(ORIGDIR)/etc \
		$(ORIGDIR)/include/rpcsvc \
		$(ORIGDIR)/sys/kgssapi
	for i in sbin/dmesg sbin/sysctl usr.bin/kdump usr.bin/ktrace \
		 usr.sbin/jail bin/chflags \
		 sbin/devd etc/devd.conf etc/devd sys/dev/usb/usbdevs \
		 usr.sbin/acpi/acpiconf \
		 sbin/kldconfig sbin/kldload sbin/kldstat sbin/kldunload \
		 usr.bin/ktrdump usr.bin/vmstat sbin/devfs sbin/fdisk \
		 sbin/ifconfig etc/regdomain.xml \
		 sbin/route usr.bin/netstat usr.sbin/rpc.umntall \
		 usr.sbin/ppp usr.sbin/pppctl usr.sbin/arp usr.bin/mkuzip \
		 sbin/ipfw contrib/pf sbin/pfctl usr.sbin/authpf sys/contrib/pf/net \
		 sbin/mount_std sbin/umount sbin/mount_autofs sbin/mount_cd9660 \
		 sbin/mount_ext2fs sbin/mount_hpfs sbin/mount_msdosfs \
		 sbin/mount_ntfs sbin/mount_nullfs sbin/mount_udf sbin/mount_unionfs \
		 sbin/mount_reiserfs sbin/mount \
		 sbin/mdconfig sbin/ccdconfig sbin/swapon sbin/atacontrol sbin/camcontrol \
		 sbin/gbde bin/kenv \
		 sbin/geom sys/geom/eli sys/crypto/sha2 \
		 usr.sbin/kbdcontrol usr.sbin/vidcontrol share/syscons \
		 sbin/savecore sbin/dumpon \
		 sys/kern/syscalls.c etc/pf.os \
		 usr.sbin/mountd usr.sbin/rpc.statd usr.sbin/rpc.lockd \
		 usr.sbin/gssd usr.sbin/nfsd usr.sbin/nfscbd \
		 usr.sbin/nfsdumpstate usr.sbin/nfsuserd usr.sbin/nfsrevoke \
		 sbin/nfsiod \
		 sbin/mount_nfs \
		 include/rpcsvc/nfs_prot.x include/rpcsvc/sm_inter.x \
		 include/rpcsvc/nlm_prot.x include/rpcsvc/mount.x \
		 sys/kgssapi/gssd.x \
		 usr.bin/showmount \
	; do \
	    svn export $(SVN)/$$i $(ORIGDIR)/$$i ; \
	done
	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

lib: lib-stamp
lib-stamp:
	$(MAKE) -C lib
	touch $@

build-arch: freebsd-utils gbde geli kbdcontrol vidcontrol kldutils freebsd-net-tools freebsd-nfs-utils

freebsd-utils: freebsd-utils-stamp
freebsd-utils-stamp: $(RPCHDRS)
#	$(PMAKE) -C bin/chflags
	$(PMAKE) -C bin/kenv
	$(PMAKE) -C sbin/atacontrol
	$(PMAKE) -C sbin/camcontrol
	$(PMAKE) -C sbin/ccdconfig
	$(PMAKE) -C sbin/devd
	$(PMAKE) -C etc/devd
	$(PMAKE) -C sbin/devfs
	$(PMAKE) -C sbin/dmesg
	$(PMAKE) -C sbin/dumpon
	$(PMAKE) -C sbin/geom
	$(PMAKE) -C sbin/mdconfig
	$(PMAKE) -C sbin/mount
	$(PMAKE) -C sbin/mount_autofs
	$(PMAKE) -C sbin/mount_cd9660
	$(PMAKE) -C sbin/mount_ext2fs
	$(PMAKE) -C sbin/mount_hpfs
	$(PMAKE) -C sbin/mount_msdosfs
#	$(PMAKE) -C sbin/mount_nfs
	$(PMAKE) -C sbin/mount_ntfs
	$(PMAKE) -C sbin/mount_nullfs
	$(PMAKE) -C sbin/mount_reiserfs
	$(PMAKE) -C sbin/mount_udf
	$(PMAKE) -C sbin/mount_unionfs
	$(PMAKE) -C sbin/mount_std
	$(PMAKE) -C sbin/savecore
	$(PMAKE) -C sbin/swapon
	$(PMAKE) -C sbin/sysctl
	$(PMAKE) -C sbin/umount
	$(PMAKE) -C usr.bin/kdump
	$(PMAKE) -C usr.bin/ktrace
	$(PMAKE) -C usr.bin/mkuzip
	$(PMAKE) -C usr.sbin/acpi/acpiconf
	$(PMAKE) -C usr.sbin/rpc.umntall
	$(PMAKE) -C usr.sbin/jail
	touch $@

gbde: gbde-stamp
gbde-stamp:
#	$(PMAKE) -C sbin/gbde
	touch $@

geli: geli-stamp
geli-stamp:
#	$(PMAKE) -C sbin/geom/class/eli
	touch $@

kbdcontrol: kbdcontrol-stamp
kbdcontrol-stamp:
	$(PMAKE) -C usr.sbin/kbdcontrol
	sed -i -e "s/^choices=.*/choices=\"`cd share/syscons/keymaps && echo *.kbd | sed -e 's/ /, /g'`\"/g" \
	debian/kbdcontrol.config
	touch $@

vidcontrol: vidcontrol-stamp
vidcontrol-stamp:
	$(PMAKE) -C usr.sbin/vidcontrol
	$(PMAKE) -C share/syscons/scrnmaps
	touch $@

kldutils: kldutils-stamp
kldutils-stamp:
	$(PMAKE) -C sbin/kldconfig
	$(PMAKE) -C sbin/kldload
	$(PMAKE) -C sbin/kldstat
	$(PMAKE) -C sbin/kldunload
	touch $@

freebsd-net-tools: freebsd-net-tools-stamp
freebsd-net-tools-stamp: lib-stamp
	$(PMAKE) -C sbin/ifconfig
	$(PMAKE) -C sbin/pfctl
	$(PMAKE) -C sbin/route
	$(PMAKE) -C usr.bin/netstat
	$(PMAKE) -C usr.sbin/arp
	$(PMAKE) -C usr.sbin/authpf
	$(PMAKE) -C usr.sbin/pppctl
	touch $@

freebsd-nfs-utils: freebsd-nfs-utils-stamp
freebsd-nfs-utils-stamp: lib-stamp
#	$(PMAKE) -C usr.bin/showmount
	$(PMAKE) -C sbin/mount_nfs
	$(PMAKE) -C sbin/nfsiod
#	$(PMAKE) -C usr.sbin/gssd
#	$(PMAKE) -C usr.sbin/nfscbd
#	$(PMAKE) -C usr.sbin/nfsuserd
#	$(PMAKE) -C usr.sbin/nfsrevoke
#	$(PMAKE) -C usr.sbin/nfsdumpstate
	$(PMAKE) -C usr.sbin/rpc.statd
	$(PMAKE) -C usr.sbin/rpc.lockd
	$(PMAKE) -C usr.sbin/mountd
	$(PMAKE) -C usr.sbin/nfsd
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	touch $@

clean:
	dh_testdir
	dh_testroot

	[ ! -f lib/Makefile ] || $(MAKE) -C lib clean

	$(PMAKE) -C bin/chflags clean
	$(PMAKE) -C bin/kenv clean
	$(PMAKE) -C sbin/ccdconfig clean
	$(PMAKE) -C sbin/atacontrol clean
	$(PMAKE) -C sbin/camcontrol clean
	$(PMAKE) -C sbin/devd clean
	$(PMAKE) -C etc/devd clean
	$(PMAKE) -C sbin/devfs clean
	$(PMAKE) -C sbin/dmesg clean
	$(PMAKE) -C sbin/dumpon clean
	$(PMAKE) -C sbin/geom clean
	$(PMAKE) -C sbin/mdconfig clean
	$(PMAKE) -C sbin/mount clean
	$(PMAKE) -C sbin/mount_autofs clean
	$(PMAKE) -C sbin/mount_cd9660 clean
	$(PMAKE) -C sbin/mount_ext2fs clean
	$(PMAKE) -C sbin/mount_hpfs clean
	$(PMAKE) -C sbin/mount_msdosfs clean
	$(PMAKE) -C sbin/mount_nfs clean
	$(PMAKE) -C sbin/mount_ntfs clean
	$(PMAKE) -C sbin/mount_nullfs clean
	$(PMAKE) -C sbin/mount_reiserfs clean
	$(PMAKE) -C sbin/mount_udf clean
	$(PMAKE) -C sbin/mount_unionfs clean
	$(PMAKE) -C sbin/mount_std clean
	$(PMAKE) -C sbin/savecore clean
	$(PMAKE) -C sbin/swapon clean
	$(PMAKE) -C sbin/sysctl  clean
	$(PMAKE) -C sbin/umount clean
	$(PMAKE) -C usr.bin/kdump clean
	$(PMAKE) -C usr.bin/ktrace clean
	$(PMAKE) -C usr.bin/mkuzip clean
	$(PMAKE) -C usr.sbin/acpi/acpiconf clean
	$(PMAKE) -C usr.sbin/rpc.umntall clean
	$(PMAKE) -C usr.sbin/jail clean

	$(PMAKE) -C sbin/gbde clean

	$(PMAKE) -C usr.sbin/kbdcontrol clean

	$(PMAKE) -C usr.sbin/vidcontrol clean
	$(PMAKE) -C share/syscons/scrnmaps clean

	$(PMAKE) -C sbin/kldconfig clean
	$(PMAKE) -C sbin/kldload clean
	$(PMAKE) -C sbin/kldstat clean
	$(PMAKE) -C sbin/kldunload clean

	$(PMAKE) -C sbin/ifconfig clean
	$(PMAKE) -C sbin/pfctl clean
	$(PMAKE) -C sbin/route clean
	$(PMAKE) -C usr.bin/netstat clean
	$(PMAKE) -C usr.sbin/arp clean
	$(PMAKE) -C usr.sbin/authpf clean
	$(PMAKE) -C usr.sbin/pppctl clean

	$(PMAKE) -C sbin/nfsiod clean
	$(PMAKE) -C usr.sbin/gssd clean
	$(PMAKE) -C usr.sbin/nfscbd clean
	$(PMAKE) -C usr.sbin/nfsuserd clean
	$(PMAKE) -C usr.sbin/nfsrevoke clean
	$(PMAKE) -C usr.sbin/nfsdumpstate clean
	$(PMAKE) -C usr.sbin/rpc.statd clean
	$(PMAKE) -C usr.sbin/rpc.lockd clean
	$(PMAKE) -C usr.sbin/mountd clean
	$(PMAKE) -C usr.sbin/nfsd clean

	$(RM) $(RPCHDRS)

	rm -f *stamp
	dh_clean

install: install-indep install-arch
install-indep:

install-arch:
	dh_testdir
	dh_testroot
